enabling the ldap keyserver plugin on HP-UX

David Ellement ellement at sdd.hp.com
Tue Sep 10 08:19:02 CEST 2002

On 020909, at 11:16:47, I wrote
> It turns out the problem was an LDAP configuration problem, with IPv6
> support.  It should be disabled here, but one of the IPv6 related macros
> ends up being defined anyway.

This was the cause of the bind error I saw with gpgkeys_ldap; there was
no need "socksify" gpgkeys_ldap.

> > I've tweaked the configure script to properly handle HPUX (-lldap
> > -llber without -lresolv) for 1.2.  That doesn't help the socks stuff
> > though.  Isn't there a script in some version of socks that does some
> > LD_PRELOAD magic so nothing needs to be recompiled?
> I wasn't aware of one, but we have something installed here.  I'll try
> it out later this week.

There's no need to "socksify" any part of gpg.  (As it turns out, the
permissions on the socksify script here only allow it to be run by
system administrators).

David Ellement

More information about the Gnupg-devel mailing list